回复
172
查看
13853
收藏
241

0

赠楼

0%

赠楼率

653

蒸汽

15

主题

1329

帖子

1341

积分

干咳水滴

发表于 2018-4-9 20:48:41 | 显示全部楼层

社区昵称:🎮🅽🅴🆇🆄🆂🅹🆙 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

本帖最后由 ccs234 于 2018-4-10 00:11 编辑

dalao牛逼,已成功,感谢~
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

247

蒸汽

55

主题

848

帖子

1528

积分

 楼主| 发表于 2018-4-10 17:15:44 发自移动设备 - 你的掌上 SteamCN 社区 | 显示全部楼层

社区昵称:一圆四方 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+1/-0

ccs234 发表于 2018-4-9 20:48
dalao牛逼,已成功,感谢~

你之前是提问?虽然看你解决了,但还是想知道是出现的什么问题,好让我改教程,请原谅 我现在才看见信息
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

653

蒸汽

15

主题

1329

帖子

1341

积分

干咳水滴

发表于 2018-4-10 17:39:03 | 显示全部楼层

社区昵称:🎮🅽🅴🆇🆄🆂🅹🆙 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

铜钱 发表于 2018-4-10 17:15
你之前是提问?虽然看你解决了,但还是想知道是出现的什么问题,好让我改教程,请原谅 我现在才看见信息 ...

是的,但是是我自己的问题哈哈,谢谢dalao了
回复 支持 +

使用道具 举报

1

赠楼

0%

赠楼率

216

蒸汽

1

主题

196

帖子

350

积分

发表于 2018-4-14 18:59:28 | 显示全部楼层

社区昵称:一杀百里 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

本帖最后由 Null🤔 于 2018-4-14 19:03 编辑

不是太理解 这个步骤。

“安装 .NET Core 所需要的依赖项”


对于NET Core环境,直接按照NETCore官网  https://www.microsoft.com/net/learn/get-started/linux/  安装一下就可以了。  

因为asf是基于NETCore2.0+开发的 ,直接安装最新版就好了,NETCore是向下兼容的(目前2不兼容1.X,2的高版本兼容低版本)。


所以你是不是搞复杂了。



还有,其实个人推荐使用Ubuntu16.04   centos问题总是很多
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

247

蒸汽

55

主题

848

帖子

1528

积分

 楼主| 发表于 2018-4-14 19:21:37 | 显示全部楼层

社区昵称:一圆四方 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+1/-0

Null🤔 发表于 2018-4-14 18:59
不是太理解 这个步骤。

“安装 .NET Core 所需要的依赖项”

ASF 官方教程说要安装 .NET Core 所需要的依赖项,实际上我测试的时候,不安装 依赖项不安装 .NET Core SDK 也是可以运行的。官方教程这么写,我也就按官方教程的步骤写了
Snipaste_2018-04-14_19-14-54.png
Snipaste_2018-04-14_19-10-50.png
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

381

蒸汽

2

主题

458

帖子

654

积分

发表于 2018-4-14 19:45:00 | 显示全部楼层
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

439

蒸汽

0

主题

2629

帖子

2278

积分

『片十字花瓣』

发表于 2018-4-14 19:55:50 | 显示全部楼层
回复 支持 +

使用道具 举报

1

赠楼

0%

赠楼率

216

蒸汽

1

主题

196

帖子

350

积分

发表于 2018-4-14 21:35:37 | 显示全部楼层

社区昵称:一杀百里 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

铜钱 发表于 2018-4-14 19:21
ASF 官方教程说要安装 .NET Core 所需要的依赖项,实际上我测试的时候,不安装 依赖项不安装 .NET Core S ...

那应该还是搞复杂了。  因为我本身就是NETCore软件开发。

当初搭建的时候,没看ASF的wiki。 知道是NETCore开发的以后,就直接下载了源码,然后dotnet XXX.dll就跑起来了。因为本身服务器上就有NETCore服务在跑,所以环境就是有的。

而且最初配置环境的时候,就按照微软官网安装了NETCore2,没有这么多步骤的
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

247

蒸汽

55

主题

848

帖子

1528

积分

 楼主| 发表于 2018-4-15 10:27:04 | 显示全部楼层

社区昵称:一圆四方 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+1/-0

Null🤔 发表于 2018-4-14 21:35
那应该还是搞复杂了。  因为我本身就是NETCore软件开发。

当初搭建的时候,没看ASF的wiki。 知道是NETCo ...

有点没理解,除了 CentOS 7.x外,别的系统用Linux定制软件包只需要安装依赖项就行,安装依赖项 跟 安装 .NET Core SDK相比,不是安装依赖项更简单吗?没理解你所谓的搞复杂了
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

120

蒸汽

0

主题

238

帖子

955

积分

发表于 2018-4-15 14:45:00 | 显示全部楼层
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

80

蒸汽

1

主题

51

帖子

145

积分

发表于 2018-4-16 22:23:22 | 显示全部楼层

社区昵称:天色将晚 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

有没有国内教程的办法
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

247

蒸汽

55

主题

848

帖子

1528

积分

 楼主| 发表于 2018-4-16 22:28:56 | 显示全部楼层

社区昵称:一圆四方 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+1/-0

wanglz111 发表于 2018-4-16 22:23
有没有国内教程的办法

国内?挂卡不分国内外,国内服务器也是这样用
回复 支持 +1

使用道具 举报

0

赠楼

0%

赠楼率

80

蒸汽

1

主题

51

帖子

145

积分

发表于 2018-4-16 22:37:02 | 显示全部楼层

社区昵称:天色将晚 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

铜钱 发表于 2018-4-16 22:28
国内?挂卡不分国内外,国内服务器也是这样用

国内的网没法打开社区 没法读取徽章
[发帖际遇]: wanglz111 自学俄语在 ЧK 上成功收购一波 Key,喜加体力 1 点 幸运榜 / 衰神榜
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

247

蒸汽

55

主题

848

帖子

1528

积分

 楼主| 发表于 2018-4-16 23:05:28 | 显示全部楼层

社区昵称:一圆四方 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+1/-0

wanglz111 发表于 2018-4-16 22:37
国内的网没法打开社区 没法读取徽章

https://steamcn.com/t342004-1-1

点评

这个没用,没有魔法主机的解决方法  发表于 2018-6-26 01:03
回复 支持 +

使用道具 举报

89

赠楼

2%

赠楼率

142

蒸汽

136

主题

1341

帖子

1263

积分

『片十字花瓣』

发表于 2018-6-23 23:44:54 | 显示全部楼层

社区昵称:3DFox 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+23/-0

centos6 看来没办法挂ASF了  老的asf用不了  新的又装不了 .netcore
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

343

蒸汽

44

主题

565

帖子

998

积分

发表于 2018-6-24 00:00:24 | 显示全部楼层

社区昵称:Herreimu 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+5/-0

asf3.2以上版本把 .net core换成2.1.0了,要不要加几句?

点评

感谢提醒,等我有时间了再更新吧  发表于 2018-6-24 12:25
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

223

蒸汽

0

主题

229

帖子

695

积分

发表于 2018-6-25 21:01:53 | 显示全部楼层

社区昵称:Amity 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+2/-0

楼主你好,请问我的系统是 Centos 6 x86_64 bbr ,适用这个教程吗?
回复 支持 +

使用道具 举报

38

赠楼

87%

赠楼率

72

蒸汽

42

主题

165

帖子

867

积分

发表于 2018-6-26 01:03:15 | 显示全部楼层

社区昵称:菲丽希亚 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+28/-0

本帖最后由 未設置_用戶名 于 2018-6-26 01:12 编辑

改成帖子里的host还是这样 怎么办?
QQ截图20180626010211.png

回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

68

蒸汽

1

主题

188

帖子

495

积分

发表于 2018-6-26 12:47:02 | 显示全部楼层

社区昵称:穷途陌路 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

最新版的将
sudo yum install dotnet-sdk-2.0.0改为
sudo yum install dotnet-sdk-2.1就可以解决没有2.1.0的问题
回复 支持 +

使用道具 举报

1

赠楼

8%

赠楼率

126

蒸汽

11

主题

148

帖子

284

积分

发表于 2018-6-30 17:56:53 | 显示全部楼层

社区昵称:Heiban 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+3/-0

我按照教程设置完之后,显示error。 Debian 8.9 64位
asf.PNG
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

43

蒸汽

0

主题

4

帖子

48

积分

发表于 2018-7-1 15:54:40 | 显示全部楼层

社区昵称:Blue Shit 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

感谢楼主分享
[发帖际遇]: sgx458208964 从申根海关混进欧洲,成功领取了低保补贴体力 2 点 幸运榜 / 衰神榜
回复 支持 +

使用道具 举报

2

赠楼

6%

赠楼率

62

蒸汽

3

主题

32

帖子

74

积分

发表于 2018-7-2 19:58:24 | 显示全部楼层
回复 支持 +

使用道具 举报

2

赠楼

6%

赠楼率

62

蒸汽

3

主题

32

帖子

74

积分

发表于 2018-7-2 19:58:37 | 显示全部楼层
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

96

蒸汽

0

主题

20

帖子

138

积分

发表于 2018-7-2 21:32:55 | 显示全部楼层

社区昵称:捂猫 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

感谢dalao!
回复 支持 +

使用道具 举报

1

赠楼

7%

赠楼率

79

蒸汽

1

主题

32

帖子

277

积分

发表于 2018-7-6 10:24:52 | 显示全部楼层

社区昵称:缘,妙不可言... 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+1/-0

最新版用的是.net 2.1了
[发帖际遇]: bbshi 被 EA 召为商业间谍进 V 社卧底,被 G 胖揭发扔出窗外,获工伤赔偿体力 1 点 幸运榜 / 衰神榜
回复 支持 +

使用道具 举报

1

赠楼

1%

赠楼率

373

蒸汽

26

主题

1023

帖子

850

积分

发表于 2018-7-24 20:25:29 | 显示全部楼层

社区昵称:真的不能在低调了 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

收藏了 不过懒得弄了,毕竟也没几个游戏可挂
[发帖际遇]: 人生大赢家 自学俄语在 ЧK 上成功收购一波 Key,喜加体力 2 点 幸运榜 / 衰神榜
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

49

蒸汽

1

主题

2

帖子

54

积分

发表于 2018-7-28 18:42:40 | 显示全部楼层

社区昵称:花崎織雪 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

Complete!
[root@vultr ~]# export PATH=$PATH:$HOME/dotnet
[root@vultr ~]# dotnet --version
2.1.2
[root@vultr ~]# cd asf
[root@vultr asf]# dotnet ArchiSteamFarm.dll
It was not possible to find any compatible framework version
The specified framework 'Microsoft.NETCore.App', version '2.1.2' was not found.
  - Check application dependencies and target a framework version installed at:
      /
  - Alternatively, install the framework version '2.1.2'.
请教这是什么情况啊?

点评

这个教程已经过期了,新版ASF需要安装 NET Core 2.1.x版本的,安装方法跟2.0.x类似,微软官网有详细教程  发表于 2018-7-29 11:59
[发帖际遇]: king_laln 有眼光地在游戏锁区前低价购入了,喜加体力 1 点 幸运榜 / 衰神榜
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

42

蒸汽

5

主题

147

帖子

131

积分

发表于 2018-7-31 02:52:24 | 显示全部楼层

社区昵称:排山倒海的乌龟 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+0/-0

感谢分享
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

180

蒸汽

0

主题

152

帖子

206

积分

发表于 2018-9-25 08:49:59 | 显示全部楼层

社区昵称:[77]Seekercloud 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+3/-0

使用centos 7,之前都OK,今天突然提示
Error:
  An assembly specified in the application dependencies manifest (ArchiSteamFarm.deps.json) was not found:
    package: 'Microsoft.Win32.Registry', version: '4.5.0'
    path: 'runtimes/unix/lib/netstandard2.0/Microsoft.Win32.Registry.dll'
有dalao帮忙看下么
回复 支持 +

使用道具 举报

0

赠楼

0%

赠楼率

154

蒸汽

2

主题

238

帖子

267

积分

发表于 2018-10-14 02:09:05 | 显示全部楼层

社区昵称:Nelson 资料 加好友 聊天 库存 截图 好友 群组 愿望单 评测 信誉+1/-0

感谢楼主分享
[发帖际遇]: nelsonqueen 写出的 Steam 插件实用方便,获得坛友的赞赏,喜加体力 2 点 幸运榜 / 衰神榜
回复 支持 +

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

  作为民间站点,自 2004 年起为广大中文 Steam 用户提供技术支持与讨论空间。历经十余载风雨,如今已发展为国内最大的正版玩家据点。

列表模式 · · 微博 · 群组 · 贴吧 · QQ群 
SteamCN 蒸汽动力 ©2004-2019 Chinese Steam User Fan Site.
Designed by Lee in Singapore, Powered by Discuz!
推荐使用 ChromeMicrosoft Edge 来浏览本站
广告投放|文字版|SteamCN 蒸汽动力 ( 冀ICP备05004600号 )
GMT+8, 2019-2-23 19:49, PE: 0.253792s , QE: 317, Redis On.
快速回复 返回顶部 返回列表